program ex1_cpusecs
!
!
! Purpose
! =======
!
!   This program is intended to demonstrate the use of function CPUSECS
!   in module Time_Procedures .
!                                                                              
! LATEST REVISION : 26/06/2006
!                                                                              
! ================================================================================================
!
!
! USED MODULES 
! ============
!
    use Statpack, only : i4b, extd, cpusecs
!   
!
! STRONG TYPING IMPOSED
! =====================
!    
    implicit none
!   
!   
! PARAMETERS 
! ==========
!
! prtunit IS THE PRINTING UNIT.
!
    integer(i4b), parameter :: prtunit=6
!   
!
! SPECIFICATIONS FOR VARIABLES
! ============================
!
    real(extd)   :: tim1, tim2
!
    integer(i4b) :: i, j
!   
!   
! PARAMETERS 
! ==========
!
    character(len=*), parameter :: name_proc='Example 1 of cpusecs'
!   
!
! EXECUTABLE STATEMENTS
! =====================
!
!   PRINT LABEL OF THE EXAMPLE.
!
    write (prtunit,*)
    write (prtunit,*) name_proc,' :'
    write (prtunit,*) repeat('*', len(name_proc) )
    write (prtunit,*)
!
!   FUNCTION cpusecs OBTAINS, FROM THE INTRINSIC ROUTINE SYSTEM_CLOCK,
!   THE CURRENT VALUE OF THE SYSTEM CPU USAGE CLOCK. THIS VALUE
!   IS THEN CONVERTED TO SECONDS AND RETURNED AS AN EXTENDED PRECISION
!   REAL VALUE.
!
!   THIS FUNCTIONS ASSUMES THAT THE NUMBER OF CPU CYCLES (CLOCK COUNTS) BETWEEN
!   TWO CALLS IS LESS THAN COUNT_MAX, THE MAXIMUM POSSIBLE VALUE OF CLOCK COUNTS
!   AS RETURNED BY THE INTRINSIC ROUTINE SYSTEM_CLOCK.
!
!   THIS FUNCTION WILL NOT WORK PROPERLY WITH OPENMP.
!
!   A TYPICAL USE OF THIS FUNCTION IS AS FOLLOWS :
!
    tim1 = cpusecs()
    j = 0
    do i=1, 2000000000
        j = j + 1
    end do
    tim2 = cpusecs()
!
!   PRINT THE RESULT.
!
    write (prtunit, *)  " CPU Time(s): ", tim2-tim1 ,' seconds'
!
!
! END OF PROGRAM ex1_cpusecs
! ==========================
!
end program ex1_cpusecs
