program ex1_daynum_to_dayweek
!
!
! Purpose
! =======
!
!   This program is intended to demonstrate the use of function DAYNUM_TO_DAYWEEK
!   in module Time_Procedures .
!                                                                              
!   See also program ex1_ymd_to_daynum.f90.                 
!                                                                              
! LATEST REVISION : 26/06/2006
!                                                                              
! ================================================================================================
!
!
! USED MODULES 
! ============
!
    use Statpack, only : i4b, ymd_to_daynum, daynum_to_dayweek, get_date, days
!   
!
! STRONG TYPING IMPOSED
! =====================
!    
    implicit none
!   
!   
! PARAMETERS 
! ==========
!
! prtunit IS THE PRINTING UNIT.
!
    integer(i4b), parameter :: prtunit=6
!   
!
! SPECIFICATIONS FOR VARIABLES
! ============================
!
    integer(i4b) :: iyr, imon, iday, idaynum, idayweek
!
    character(len=11) :: date
!
!   
! PARAMETERS 
! ==========
!
    character(len=*), parameter :: name_proc='Example 1 of daynum_to_dayweek'
!   
!
! EXECUTABLE STATEMENTS
! =====================
!
!   PRINT LABEL OF THE EXAMPLE.
!
    write (prtunit,*)
    write (prtunit,*) name_proc,' :'
    write (prtunit,*) repeat('*', len(name_proc) )
    write (prtunit,*)
!
!   GENERATE A DATE.
!
    iyr  = 1999
    imon = 7
    iday = 28
!
!   CONVERTS GREGORIAN YEAR (iyr), MONTH (imon) AND DAY (iday) TO JULIAN DAY
!   NUMBER (idaynum).
!
    idaynum = ymd_to_daynum( iyr, imon, iday )
!
!   DETERMINE THE DAY OF THE WEEK FROM JULIAN DAY NUMBER (idaynum).
!   MONTH (imon) AND DAY (iday).
!
    idayweek = daynum_to_dayweek( idaynum )
!
!   FUNCTION daynum_to_dayweek RETURNS THE DAY OF THE WEEK (E.G., MON, TUE,...) AS AN
!   INTEGER INDEX (MON=1 TO SUN=7) FOR THE GIVEN JULIAN DAY NUMBER idaynum STARTING WITH
!   idaynum=1 ON FRIDAY, 15 OCTOBER 1582.
!
!   PRINT THE RESULT.
!
    call get_date( iyr, imon, iday, date )
!
    write (prtunit,*) 'The date ' // date // ' is a ' // days(idayweek)
!
!
! END OF PROGRAM ex1_daynum_to_dayweek
! ====================================
!
end program ex1_daynum_to_dayweek
