program ex1_leapyr
!
!
! Purpose
! =======
!
!   This program is intended to demonstrate the use of function LEAPYR
!   in module Time_Procedures .
!                                                                              
! LATEST REVISION : 26/06/2006
!                                                                              
! ================================================================================================
!
!
! USED MODULES 
! ============
!
    use Statpack, only : i4b, lgl, leapyr
!   
!
! STRONG TYPING IMPOSED
! =====================
!    
    implicit none
!   
!   
! PARAMETERS 
! ==========
!
! prtunit IS THE PRINTING UNIT.
!
    integer(i4b), parameter :: prtunit=6
!   
!
! SPECIFICATIONS FOR VARIABLES
! ============================
!
    integer(i4b) :: iyr
!   
    logical(lgl) :: is_leapyr
!   
!   
! PARAMETERS 
! ==========
!
    character(len=*), parameter :: name_proc='Example 1 of leapyr'
!   
!
! EXECUTABLE STATEMENTS
! =====================
!
!   PRINT LABEL OF THE EXAMPLE.
!
    write (prtunit,*)
    write (prtunit,*) name_proc,' :'
    write (prtunit,*) repeat('*', len(name_proc) )
    write (prtunit,*)
!
!   GENERATE A YEAR.
!
    iyr  = 1902
!
!   CHECK IF iyr IS A LEAP YEAR. 
!
    is_leapyr = leapyr( iyr )
!
!   FUNCTION leapyr IS RETURNED AS "true"
!   IF iyr IS A LEAP YEAR, AND "false" OTHERWISE.
!
!   LEAP YEARS ARE YEARS THAT ARE EVENLY DIVISIBLE BY 4, EXCEPT YEARS
!   THAT ARE EVENLY DIVISIBLE BY 100 MUST BE DIVISIBLE BY 400.
!   GREGORIAN CALENDAR ADOPTED OCT. 15, 1582.
!
!   PRINT THE RESULT.
!
    if ( is_leapyr ) then
        write (prtunit,*) 'The year ', iyr,' is a leap year'
    else
        write (prtunit,*) 'The year ', iyr,' is not a leap year'
    end if
!
!
! END OF PROGRAM ex1_leapyr
! =========================
!
end program ex1_leapyr
