program alphabet
!! #############################################################################
!!
!! Copyright 2016 IRD
!!  
!! This file is part of statpack.
!!  
!! statpack is free software: you can redistribute it and/or modify
!! it under the terms of the GNU Lesser General Public License as 
!! published by the Free Software Foundation, either version 3 of 
!! the License, or (at your option) any later version.
!!  
!! statpack is distributed in the hope that it will be useful,
!! but WITHOUT ANY WARRANTY; without even the implied warranty of
!! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!! GNU Lesser General Public License for more details.
!!  
!! You can find a copy of the GNU Lesser General Public License
!! in the statpack/doc directory.
!!
!! #############################################################################
!
!
! Purpose
! =======
!
!   This program is intended to list ASCII printable characters with their codes.
!
!
!   LATEST REVISION : 20/01/2017
!                                                                              
! ================================================================================================
!
!   
! STRONG TYPING IMPOSED 
! =====================
!
    implicit none
!   
!   
! SPECIFICATIONS FOR VARIABLES
! ============================
!
    integer :: i, k
!   
!
! PARAMETERS 
! ==========
!
! prtunit IS THE PRINTING UNIT
!
    integer, parameter :: prtunit = 6
!   
!
! EXECUTABLE STATEMENTS
! =====================
!
    write( prtunit, '(a)' ) 'List of ASCII printable characters with their codes'
    write( prtunit, '(a)' ) '---------------------------------------------------'
    write( prtunit, '()'  ) 
    write( prtunit, 10    ) ' '
    write( prtunit, 20    ) 
    write( prtunit, 10    ) ' '
    write( prtunit, 30    ) ( (k, achar(k), k=i,i+64,32), i=32, 63 )
    write( prtunit, 10    ) ' '
    write( prtunit, '()'  ) 
!
! FORMATS 
! =======
!
    10    format( a,46('*') )
    20    format( 3(' *  Code  Grap-'),' *'/3(' * ASCII  hism '),' *' )
    30    format( 3(' *',I5,5x,a,2x),' *' )
!
!
! END OF PROGRAM alphabet
! =======================
!
end program  alphabet
